/** @jsx jsx */
import { ReactNode } from 'react';
import { jsx } from '@emotion/react';
import { BasePrimitiveProps } from './types';
interface InteractionSurfaceProps extends BasePrimitiveProps {
    children: ReactNode;
    appearance?: InteractionBackgroundColor;
}
/**
 *
 * @example
 * ```js
 * // a minimal icon button
 * <Box as="button">
 *   <InteractionSurface>
 *    <WarningIcon label="icon button" />
 *  </InteractionSurface>
 * </Box>
 * ```
 */
declare const InteractionSurface: ({ appearance, children, testId, }: InteractionSurfaceProps) => jsx.JSX.Element;
export default InteractionSurface;
declare const backgroundHoverColorMap: {
    input: import("@emotion/react").SerializedStyles;
    'inverse.subtle': import("@emotion/react").SerializedStyles;
    neutral: import("@emotion/react").SerializedStyles;
    'neutral.subtle': import("@emotion/react").SerializedStyles;
    'neutral.bold': import("@emotion/react").SerializedStyles;
    selected: import("@emotion/react").SerializedStyles;
    'selected.bold': import("@emotion/react").SerializedStyles;
    'brand.bold': import("@emotion/react").SerializedStyles;
    danger: import("@emotion/react").SerializedStyles;
    'danger.bold': import("@emotion/react").SerializedStyles;
    warning: import("@emotion/react").SerializedStyles;
    'warning.bold': import("@emotion/react").SerializedStyles;
    success: import("@emotion/react").SerializedStyles;
    'success.bold': import("@emotion/react").SerializedStyles;
    discovery: import("@emotion/react").SerializedStyles;
    'discovery.bold': import("@emotion/react").SerializedStyles;
    information: import("@emotion/react").SerializedStyles;
    'information.bold': import("@emotion/react").SerializedStyles;
    'elevation.surface': import("@emotion/react").SerializedStyles;
    'elevation.surface.overlay': import("@emotion/react").SerializedStyles;
    'elevation.surface.raised': import("@emotion/react").SerializedStyles;
};
type InteractionBackgroundColor = keyof typeof backgroundHoverColorMap;
/**
 * @codegenEnd
 */
